io.agora.rtc

## Class AgoraVideoFrameObserver

- java.lang.Object
- - io.agora.rtc.AgoraVideoFrameObserver

-     public class AgoraVideoFrameObserver
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraVideoFrameObserver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `int` | `getMirrorApplied()`
    `int` | `getRotationApplied()`
    `int` | `getVideoPixelFormatPreference()`
    `private void` | `nativeDestroy(long cptr)`
    `private int` | `nativeGetMirrorApplied(long cptr)`
    `private int` | `nativeGetRotationApplied(long cptr)`
    `private int` | `nativeGetVideoPixelFormatPreference(long cptr)`
    `private long` | `nativeInit()`
    `private int` | `nativeThroughTheInterface(long cptr)`
    `int` | `throughTheInterface()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

  - ### Constructor Detail

    - #### AgoraVideoFrameObserver

          public AgoraVideoFrameObserver()

  - ### Method Detail

    - #### destroy

          public void destroy()

    - #### getVideoPixelFormatPreference

          public int getVideoPixelFormatPreference()

    - #### getRotationApplied

          public int getRotationApplied()

    - #### getMirrorApplied

          public int getMirrorApplied()

    - #### throughTheInterface

          public int throughTheInterface()

    - #### nativeInit

          private long nativeInit()

    - #### nativeDestroy

          private void nativeDestroy(long cptr)

    - #### nativeGetVideoPixelFormatPreference

          private int nativeGetVideoPixelFormatPreference(long cptr)

    - #### nativeGetRotationApplied

          private int nativeGetRotationApplied(long cptr)

    - #### nativeGetMirrorApplied

          private int nativeGetMirrorApplied(long cptr)

    - #### nativeThroughTheInterface

          private int nativeThroughTheInterface(long cptr)